install.packages("epiR")
install.packages("survival")
library("survival")
library("epiR")

## incidence rate match injuries bodø glimt
#2019

ncas <- 4; ntar <- 494.31
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020
ncas <- 2; ntar <- 494.6
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000


## incidence rate match injuries Odd
#2019

ncas <- 21; ntar <- 495
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020
ncas <- 14; ntar <- 493.75
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000


## training 
# 2019 4120,20	26

ncas <- 26; ntar <- 4120.2
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020 4100,08	27
ncas <- 27; ntar <- 4100.1
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

## incidence rate match injuries KBK
#2019

ncas <- 24; ntar <- 494.45
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020
ncas <- 17; ntar <- 495
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

## incidence rate match injuries STB
#2019

ncas <- 15; ntar <- 493.63
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020
ncas <- 8; ntar <- 495
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000




## incidence rate match injuries RBK
#2019

ncas <- 11; ntar <- 493.38
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020
ncas <- 15; ntar <- 493.62
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

## incidence rate match injuries Strømsgodset
#2019

ncas <- 12; ntar <- 495
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#2020
ncas <- 10; ntar <- 494.63
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000



#per måned
# 2019
#march
ncas <- 4; ntar <- 99
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#april
ncas <- 11; ntar <- 511.5
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#may
ncas <- 11; ntar <- 495
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#june
ncas <- 5; ntar <- 330
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#july
ncas <- 9; ntar <- 280.5
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#august
ncas <- 16; ntar <- 544.1
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#september
ncas <- 6; ntar <- 378.6
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#october
ncas <- 8; ntar <- 345.2
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#november
ncas <- 8; ntar <- 346.2
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#december
ncas <- 0; ntar <- 115.5
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
# all 2019
ncas <- 78; ntar <- 3462.13
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

# 2020
#june
ncas <- 11; ntar <- 462
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#july
ncas <- 9; ntar <- 897.25
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#august
ncas <- 9; ntar <- 577.5
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#september
ncas <- 9; ntar <- 346.1
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#october
ncas <- 8; ntar <- 346.1
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
#november
ncas <- 9; ntar <- 445.5
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000

#december
ncas <- 9; ntar <- 577.5
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000
# all 2020
ncas <- 56; ntar <- 3462.9
tmp <- as.matrix(cbind(ncas, ntar))
epi.conf(tmp, ctype = "inc.rate", method = "exact", N = 1000, design = 1, 
         conf.level = 0.95) * 1000


